Package org.apache.cxf.endpoint

# Interface Server

All Known Implementing Classes:
  `ServerImpl`

public interface Server

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `Destination`
  `getDestination()`
  `Endpoint`
  `getEndpoint()`
  `boolean`
  `isStarted()`
  `void`
  `start()`
  `void`
  `stop()`

- ## Method Details

  - ### start

    void start()

  - ### stop

    void stop()

  - ### destroy

    void destroy()

  - ### isStarted

    boolean isStarted()

  - ### getDestination

    Destination getDestination()

  - ### getEndpoint

    Endpoint getEndpoint()